Subject: bug#13324: Improvements to "dist" targets (was: Re: EXTRA_DIST, directories, tar --exclude-vcs)

From: [email-masked] (Karl Berry)
Date: Thu, 3 Jan 2013 00:57:08 GMT

OTOH, what about distribution "tarballs" in '.zip' format?  They don't
    use tar at all ...  Time to deprecate them maybe?  Is anybody actually
    using them?  And while at it, what about the even more obscure 'shar'
    format?

FWIW, I think they should still be supported.  I see recent
distributions on ftp.gnu.org using both -- gzip and tar make shar
archives for the sake of bootstrapping, and some packages use zip to
make things easier for Windows users.

One could certainly make arguments about getting rid of them (especially
shar), nevertheless.  I personally wouldn't want to spend time engaging
in that debate :).

k